WAAE, WCC and Common Components installation failure on Linux

book

Article ID: 95350

calendar_today

Updated On:

Products

CA Workload Automation AE - Business Agents (AutoSys) CA Workload Automation AE - Scheduler (AutoSys) Workload Automation Agent

Issue/Introduction

When attempting to install CA WAAE/WCC/Common Components on Redhat(RHEL 7) or Oracle Linux (OL7) 7.x systems, the installer (wa_setup.sh for WAAE, ccc_setup.sh for Common Components, UnixInstaller.sh for WCC) fails with error:
 

Fatal error: glibc detected an invalid stdio handle
Fatal error: glibc detected an invalid stdio handle
/tmp/extract3927/lsm: line 281:  4139 Aborted   (core dumped) $LSMEXE -v 2> /dev/null 1>&2
Error: binary file lsm.exe cannot be executed
Please check that the correct system libraries are used (libc, libstdc++).

Cause


An update to the glibc (GNU C Library) package by the Linux vendors has resulted in a compatibility issue with the CA Software Management Installer (lsm.exe). The updated glibc package was released in April 2018 to address a moderate security vulnerability. Please refer to the following vendor specific advisory links for more details.

Redhat: https://access.redhat.com/errata/RHSA-2018:0805
Oracle: https://linux.oracle.com/errata/ELSA-2018-0805.html

Environment

CA Workload Automation AE (WAAE) 11.3.6 SP5 to SP7
CA Common Components (C3) 11.3.6 SP5 to SP7
CA Workload Control Center (WCC) 11.4 SP4 to SP6

Red Hat Enterprise Linux Server 7.x x86_64 and Oracle Linux 7.x (x86_64) systems with glibc-2.17-222 (GNU C Library) package or newer.

Resolution


For CA Workload Automation AE 11.3.6 SP7, CA Common Components 11.3.6 SP7 and CA Workload Control Center 11.4 SP6, updated installation media have been re-published and available for download from CA Support Online Download Center.

For CA Workload Automation AE 11.3.6 SP5/SP6, CA Common Components 11.3.6 SP5/SP6 and CA Workload Control Center 11.4 SP4/SP5, the following procedure can be followed to address the problem.

An updated version of the CA Software Management Installer package has been attached to this document.

1. Download the attachment and extract its content. You should have the ca-sm-installer file.
2. Replace the ca-sm-installer file in the following locations with the file extracted in step 1.

  • For CA Workload Automation AE R11.3.6 SPx for UNIX/Linux and CA Workload Automation AE Standalone Agent (for AE) R11.3.6 SPx for UNIX/Linux DVD:



   <DVD_Root>/Linux/



  • For CA Workload Automation AE Standalone Client and SDK (for AE) R11.3.6 SPx for UNIX/Linux DVD:



       <DVD_Root>/Client/Linux/
       <DVD_Root>/SDK/Linux/



  • For CA Common Components R11.3.6 SPx for UNIX/Linux DVD:



       <DVD_Root>/Linux/



  • For CA Workload Control Center for Linux R11.4 SPx DVD



       <DVD_Root>/Catalog.UWCC/uwcc/waae-sdk/Linux




3. Execute the respective component installation and it should no longer fail with the aforementioned glibc error.

 

Additional Information


For information on the prerequisite system packages for Linux, please check the following documentation:
https://docops.ca.com/ca-workload-automation-ae/11-4-2/en/release-notes/ae-release-notes/ae-operating-system-and-database-support

 

Attachments

1558536391995ca-sm-installer.zip get_app